Method: projects.locations.agentGateways.list

Lists AgentGateways in a given project and location.

HTTP request

GET https://networkservices.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/agentGateways

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location from which the AgentGateways should be listed, specified in the format projects/*/locations/*.

Authorization requires the following IAM permission on the specified resource parent:

  • iam.permissions.none

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of AgentGateways to return per call.

pageToken

string

Optional. The value returned by the last ListAgentGatewaysResponse Indicates that this is a continuation of a prior agentGateways.list call, and that the system should return the next page of data.

returnPartialSuccess

boolean

Optional. If true, allow partial responses for multi-regional Aggregated List requests. Otherwise if one of the locations is down or unreachable, the Aggregated List request will fail.

Request body

The request body must be empty.

Response body

Response returned by the agentGateways.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "agentGateways": [
    {
      object (AgentGateway)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
agentGateways[]

object (AgentGateway)

List of AgentGateway resources.

nextPageToken

string

If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.

unreachable[]

string

Unreachable resources. Populated when the request attempts to list all resources across all supported locations, while some locations are temporarily unavailable.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.